CUPTI (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.62. CUpti_NvtxData Struct Reference

## [CUPTI Callback API]

Data passed into a NVTX callback function as the `cbdata` argument to CUpti_CallbackFunc. The `cbdata` will be this type for `domain` equal to CUPTI_CB_DOMAIN_NVTX. Unless otherwise notes, the callback data is valid only within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of that data.

### Public Variables

const char * functionName
const void * functionParams

### Variables

const char * CUpti_NvtxData::functionName [inherited]

  Name of the NVTX API function which issued the callback. This string is a global constant and so may be accessed outside of the callback.

const void * CUpti_NvtxData::functionParams [inherited]

  Pointer to the arguments passed to the NVTX API call. See generated_nvtx_meta.h for structure definitions for the parameters for each NVTX API function.